MultiRangeQuery.Builder (Lucene 10.5.0 sandbox API)
Description: declaration: package: org.apache.lucene.sandbox.search, class: MultiRangeQuery, class: Builder

Package org.apache.lucene.sandbox.search

# Class MultiRangeQuery.Builder

java.lang.Object
org.apache.lucene.sandbox.search.MultiRangeQuery.Builder

Direct Known Subclasses:
  `DoublePointMultiRangeBuilder`, `FloatPointMultiRangeBuilder`, `IntPointMultiRangeBuilder`, `LongPointMultiRangeBuilder`

Enclosing class:
  `MultiRangeQuery`

public abstract static class MultiRangeQuery.Builder extends Object
A builder for multirange queries.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected final int`
  `bytesPerDim`
  `protected final List<MultiRangeQuery.RangeClause>`
  `clauses`
  `protected final String`
  `field`
  `protected final int`
  `numDims`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Builder(String field, int bytesPerDim, int numDims)`
  Sole constructor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `MultiRangeQuery.Builder`
  `add(byte[] lowerValue, byte[] upperValue)`
  Add a new clause to this `MultiRangeQuery.Builder`.
  `MultiRangeQuery.Builder`
  `add(MultiRangeQuery.RangeClause clause)`
  Add a new clause to this `MultiRangeQuery.Builder`.
  `abstract MultiRangeQuery`
  `build()`
  Create a new `MultiRangeQuery` based on the parameters that have been set on this builder.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### field

    protected final String field

  - ### bytesPerDim

    protected final int bytesPerDim

  - ### numDims

    protected final int numDims

  - ### clauses

    protected final List<MultiRangeQuery.RangeClause> clauses

- ## Constructor Details

  - ### Builder

    public Builder(String field, int bytesPerDim, int numDims)
    Sole constructor.

- ## Method Details

  - ### add

    public MultiRangeQuery.Builder add(MultiRangeQuery.RangeClause clause)
    Add a new clause to this `MultiRangeQuery.Builder`.

  - ### add

    public MultiRangeQuery.Builder add(byte[] lowerValue, byte[] upperValue)
    Add a new clause to this `MultiRangeQuery.Builder`.

  - ### build

    public abstract MultiRangeQuery build()
    Create a new `MultiRangeQuery` based on the parameters that have been set on this builder.